*-----------------------------------------------------------------------
*-- File........: errormsg.prg
*-- Programmer..: Bowen Moursund (CIS: 72662,436), Copyright 1996
*-- Date........: 04/04/96
*-----------------------------------------------------------------------

CLASS ErrorMessage(oErrorMessages)

    this.oErrorMessages = oErrorMessages
    class::Reset()

    PROCEDURE Reset
    this.ErrorCode = 0
    this.Title = resource(164,"CRPEWRAP.DLL")
    this.Message = resource(2,"CRPEWRAP.DLL")

    PROCEDURE ShowErrMsg
    parameter cTitlePrefix, cMessagePrefix
    if type("this.oErrorMessages") = "O" .and.;
       type("this.oErrorMessages[this.ErrorCode]") = "C"
        this.Title = resource(164,"CRPEWRAP.DLL") + " # " +;
                     ltrim(str(this.ErrorCode))
        this.Message = this.oErrorMessages[this.ErrorCode]
    endif
    if pcount() > 0 .and. type("cTitlePrefix") == "C"
        this.Title = cTitlePrefix + this.Title
    endif
    if pcount() > 1 .and. type("cMessagePrefix") == "C"
        this.Message = cMessagePrefix + this.Message
    endif
    msgbox(this.Message, this.Title, 16)
    class::Reset()
    *-- EoP: ErrMsg

ENDCLASS

*-- EoF: errormsg.prg
